Buffalo NAS-Central Forums

Welcome to the Linkstation Wiki community
It is currently Wed Apr 16, 2014 5:37 am

All times are UTC [ DST ]




Post new topic Reply to topic  [ 3 posts ] 
Author Message
PostPosted: Fri Jul 24, 2009 12:03 am 
Offline
Newbie

Joined: Wed Jul 15, 2009 10:46 am
Posts: 16
Ok, I have a LinkStation Quad NAS (4 tb) ..which comes with twonkmedia installed. It was working great a couple weeks ago; however, suddenly nothing is working with it ...I cannot access it on port 9050 anymore, and the playstation 3 is getting constant protocol 7530/7531 errors while trying to connect to it.

So -- I went to /etc/init.d and did a "./twonky.sh stop" .

Then...check it out:
Code:
root@NAS:/etc/init.d# ./twonky.sh start
TwonkyMedia Version 4.4.8
LOG_SYSTEM: reading ini file: "/usr/local/twonky/twonkyvision-mediaserver.ini".
libgcc_s.so.1 must be installed for pthread_cancel to work
libgcc_s.so.1 must be installed for pthread_cancel to work
root@NAS:/etc/init.d# TwonkyMedia Version 4.4.8
LOG_SYSTEM: reading ini file: "/usr/local/twonky/twonkyvision-mediaserver.ini".
libgcc_s.so.1 must be installed for pthread_cancel to work
libgcc_s.so.1 must be installed for pthread_cancel to work
./twonky.sh stop


As far as I can tell, the daemon is just crashing and restarting all over again with that being the only error message I can find.

So, I looked around for libgcc_s.so.1 ...and found this:

Code:
root@NAS:/usr/lib# ls -l /opt/lib/libgcc*
lrwxrwxrwx    1 root     root           13 Jul 23 15:45 /opt/lib/libgcc_s.so -> libgcc_s.so.1
-rwxrwxrwx    1 root     root       166793 Mar 27 02:38 /opt/lib/libgcc_s.so.1
root@NAS:/usr/lib# ls -l /lib/libgcc*
lrwxrwxrwx    1 root     root           13 Jul 15 09:04 /lib/libgcc_s.so -> libgcc_s.so.1
-rwxrwxrwx    1 root     root        38036 Dec  8  2006 /lib/libgcc_s.so.1
root@NAS:/usr/lib# ls -l /usr/lib/libgcc*
lrwxrwxrwx    1 root     root           13 Jul 15 09:05 /usr/lib/libgcc_s.so -> libgcc_s.so.1
-rwxrw-rw-    1 Amadeus  hdusers     65824 Jun 29  2008 /usr/lib/libgcc_s.so.1


I'm not sure which is the libgcc_s.so.1 that twonkymedia is wanting to use ....nor am I entirely sure why I have all of those versions of libgcc_s.so.1 ...I know that the /opt is from the current optware version via "ipkg intsall gcc" that I did earlier today; however, I do not know why I have one in /lib and /usr/lib that are different.

Anyway, anyone have any idea on how to fix this? Perhaps there is a version of twonkymedia that I could get and just use it instead of what's already installed on the LS-Quad? I just thought it came licensed so I didn't want to install another version if I did not have to.

Thanks!


Top
 Profile  
 
PostPosted: Mon Jul 27, 2009 4:44 am 
Offline
Total Newbie

Joined: Mon Jul 27, 2009 4:36 am
Posts: 2
First, what did you do to enable SSH, etc on this device? I may be able to help you out as I'm quite an old pro with *nix/linux, but I initially need to break into this device in order to start poking around and am not seeing the way in readily.


Top
 Profile  
 
PostPosted: Wed Jul 29, 2009 9:52 am 
Offline
Regular Member
User avatar

Joined: Fri Nov 10, 2006 7:08 am
Posts: 95
Location: Munich
Hi Amadeus

don't go the complex way, just disable / enable the Mediaserver once inside the normal WebUI of your Station.
using scripted twonky.sh will not work at all as the server is started deep inside the Buffalo firmware script instead of started by the twonky.sh.


Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 3 posts ] 

All times are UTC [ DST ]


Who is online

Users browsing this forum: No registered users and 1 guest


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:

Protected by Anti-Spam ACP
Protected by Anti-Spam ACP Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group